$(document).ready(function () {
  load(1);
});

function load(page) {
  var q = $("#q").val();
  var id_sucursal = $("#id_sucursal").val();
  var range = $("#range").val();
  $("#loader").fadeIn("slow");
  $.ajax({
    url:
      "../ajax/buscar_traslado.php?action=ajax&page=" +
      page +
      "&q=" +
      q +
      "&id_sucursal=" +
      id_sucursal +
      "&range=" +
      range,
    beforeSend: function (objeto) {
      $("#loader").html('<img src="../../img/ajax-loader.gif"> Cargando...');
    },
    success: function (data) {
      $(".outer_div").html(data).fadeIn("slow");
      $("#loader").html("");
      $('[data-toggle="tooltip"]').tooltip({
        html: true,
      });
    },
  });
}
$("#dataDelete").on("show.bs.modal", function (event) {
  var button = $(event.relatedTarget); // Botón que activó el modal
  var id = button.data("id"); // Extraer la información de atributos de datos
  var modal = $(this);
  modal.find("#id_factura").val(id);
});
$("#eliminarDatos").submit(function (event) {
  var parametros = $(this).serialize();
  $.ajax({
    type: "POST",
    url: "../ajax/eliminar_factura.php",
    data: parametros,
    beforeSend: function (objeto) {
      $(".datos_ajax_delete").html(
        '<img src="../../img/ajax-loader.gif"> Cargando...'
      );
    },
    success: function (datos) {
      $(".datos_ajax_delete").html(datos);
      $("#dataDelete").modal("hide");
      //desaparecer la alerta
      $(".alert-success")
        .delay(400)
        .show(10, function () {
          $(this)
            .delay(2000)
            .hide(10, function () {
              $(this).remove();
            });
        }); // /.alert
      load(1);
    },
  });
  event.preventDefault();
});

//PROCESAMOS EL TRASLADO A LA SUCURSAL DE RECIBIDO
$("#btn_guardar").off("click");
$("#btn_guardar").on("click", function (e) {
  $("#btn_guardar").attr("disabled", true);
  var id_sucursal1 = $("#id_sucursal1").val();
  var id_sucursal2 = $("#id_sucursal2").val();
  var factura = $("#factura").val();
  var condiciones = $("#condiciones").val();
  var total_ft = $("#total_ft").val();
  if (id_sucursal1 == "") {
    $.Notification.notify(
      "error",
      "bottom center",
      "NOTIFICACIÓN",
      "SELECCIONAR UNA SUCURSAL VALIDA"
    );
    $("#nombre_cliente").focus();
    $("#btn_guardar").attr("disabled", false);
    return false;
  }
  parametros = {
    id_sucursal1: id_sucursal1,
    id_sucursal2: id_sucursal2,
    factura: factura,
    condiciones: condiciones,
    total_ft: total_ft,
  };
  $.ajax({
    type: "POST",
    url: "../ajax/guardar_venta_cot.php",
    data: parametros,
    beforeSend: function (objeto) {
      $("#resultados_ajaxf").html(
        '<img src="../../img/ajax-loader.gif"> Cargando...'
      );
    },
    success: function (datos) {
      $("#resultados_ajaxf").html(datos);
      $("#btn_guardar").attr("disabled", false);
      $("#resultados").load("../ajax/editar_tmp_cot.php"); // carga los datos nuevamente
      $("#barcode").focus();
      load(1);
      //desaparecer la alerta
      $(".alert-success")
        .delay(400)
        .show(10, function () {
          $(this)
            .delay(2000)
            .hide(10, function () {
              $(this).remove();
            });
        }); // /.alert
    },
  });
  event.preventDefault();
});

// print order function
